import { defineComponent } from "vue";
import { actionProps } from "../types";
import { useRenderIcon } from "/@/components/ReIcon/src/hooks";

const ActionUpdate = defineComponent({
  name: "ActionUpdate",
  props: actionProps,
  emits: ["update"],
  setup(_, { emit }) {
    return () => (
      <el-button
        link
        size="small"
        type="primary"
        class="reset-margin"
        onClick={() => emit("update")}
        icon={useRenderIcon("edits")}
      />
    );
  }
});

export default ActionUpdate;
